Bug 136731 - wordperfect files (.wpd) should be associated with openoffice
wordperfect files (.wpd) should be associated with openoffice
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-21 19:00 EDT by Tom Duffy
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 13:13:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
redhat-menus patch (2.33 KB, patch)
2004-11-01 05:41 EST, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Tom Duffy 2004-10-21 19:00:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; rv:1.7.3)
Gecko/20041020 Firefox/0.10.1

Description of problem:
Now that openoffice can open wpd files, icons in gnome should
inidicate it is an openoffice document and have them open in it. 
Right now, they open up in abiword with a double click, and a right
click does not give an openoffice option.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. double click .wpd file
2. or right click and see no option besides abiword
3.
    

Actual Results:  document opens in abiword

Expected Results:  openoffice is default, abiword optional

Additional info:
Comment 1 Caolan McNamara 2004-11-01 05:41:27 EST
Created attachment 106007 [details]
redhat-menus patch

I guess that redhat-menus needs to have application/vnd.wordperfect added to
redhat-word-processor.desktop, like the attached patch does (fixed #74651# as
well), and shared-mime-info's applications/defaults.list entry for
application/vnd.wordperfect needs to be changed from abiword to
redhat-word-processor.desktop.
Comment 2 Dan Williams 2005-03-01 13:13:00 EST
fixed already.

Note You need to log in before you can comment on or make changes to this bug.